torrent-10000.1.1: BitTorrent file parser and generater

Copyright | (c) Lemmih 2005
License | BSD-like
Maintainer | lemmih@gmail.com
Stability | experimental
Portability | portable
Safe Haskell | Safe
Language | Haskell98

Data.Torrent.Scrape

Description

http://en.wikipedia.org/wiki/Tracker_scrape

# Documentation

data ScrapeInfo #

Constructors

ScrapeInfo |
Fields scrapeSeeds :: Integer scrapeLeechers :: Integer

Instances

Read ScrapeInfo # |
Methods readsPrec :: Int -> ReadS ScrapeInfo # readList :: ReadS [ScrapeInfo] # readPrec :: ReadPrec ScrapeInfo # readListPrec :: ReadPrec [ScrapeInfo] #
Show ScrapeInfo # |
Methods showsPrec :: Int -> ScrapeInfo -> ShowS # show :: ScrapeInfo -> String # showList :: [ScrapeInfo] -> ShowS #

parseScrapeInfo :: ByteString -> Maybe ScrapeInfo #

scrapeUrl :: ByteString -> [String] -> Maybe String #